Mailinglist Archive: opensuse-updates (121 mails)

< Previous Next >
openSUSE-SU-2017:0399-1: moderate: Security update for GraphicsMagick
openSUSE Security Update: Security update for GraphicsMagick
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:0399-1
Rating: moderate
References: #1017310 #1017312 #1017313 #1017314 #1017324
#1017326 #1020443 #1020448
Cross-References: CVE-2016-10048 CVE-2016-10050 CVE-2016-10051
CVE-2016-10052 CVE-2016-10068 CVE-2016-10070
CVE-2016-10146 CVE-2017-5511
Affected Products:
openSUSE Leap 42.2
______________________________________________________________________________

An update that fixes 8 vulnerabilities is now available.

Description:


This update for GraphicsMagick fixes several issues.

These security issues were fixed:

- CVE-2016-10048: Arbitrary module could have been load because relative
path were not escaped (bsc#1017310)
- CVE-2016-10050: Corrupt RLE files could have overflowed a heap buffer
due to a missing offset check (bsc#1017312)
- CVE-2016-10051: Fixed use after free when reading PWP files (bsc#1017313)
- CVE-2016-10052: Added bound check to exif parsing of JPEG files
(bsc#1017314)
- CVE-2016-10068: Prevent NULL pointer access when using the MSL
interpreter (bsc#1017324)
- CVE-2016-10070: Prevent allocating the wrong amount of memory when
reading mat files (bsc#1017326)
- CVE-2016-10146: Captions and labels were handled incorrectly, causing a
memory leak that could have lead to DoS (bsc#1020443)
- CVE-2017-5511: A missing cast when reading PSD files could have caused
memory corruption by a heap overflow (bsc#1020448)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-212=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (i586 x86_64):

GraphicsMagick-1.3.25-9.1
GraphicsMagick-debuginfo-1.3.25-9.1
GraphicsMagick-debugsource-1.3.25-9.1
GraphicsMagick-devel-1.3.25-9.1
libGraphicsMagick++-Q16-12-1.3.25-9.1
libGraphicsMagick++-Q16-12-debuginfo-1.3.25-9.1
libGraphicsMagick++-devel-1.3.25-9.1
libGraphicsMagick-Q16-3-1.3.25-9.1
libGraphicsMagick-Q16-3-debuginfo-1.3.25-9.1
libGraphicsMagick3-config-1.3.25-9.1
libGraphicsMagickWand-Q16-2-1.3.25-9.1
libGraphicsMagickWand-Q16-2-debuginfo-1.3.25-9.1
perl-GraphicsMagick-1.3.25-9.1
perl-GraphicsMagick-debuginfo-1.3.25-9.1


References:

https://www.suse.com/security/cve/CVE-2016-10048.html
https://www.suse.com/security/cve/CVE-2016-10050.html
https://www.suse.com/security/cve/CVE-2016-10051.html
https://www.suse.com/security/cve/CVE-2016-10052.html
https://www.suse.com/security/cve/CVE-2016-10068.html
https://www.suse.com/security/cve/CVE-2016-10070.html
https://www.suse.com/security/cve/CVE-2016-10146.html
https://www.suse.com/security/cve/CVE-2017-5511.html
https://bugzilla.suse.com/1017310
https://bugzilla.suse.com/1017312
https://bugzilla.suse.com/1017313
https://bugzilla.suse.com/1017314
https://bugzilla.suse.com/1017324
https://bugzilla.suse.com/1017326
https://bugzilla.suse.com/1020443
https://bugzilla.suse.com/1020448


< Previous Next >
This Thread
  • No further messages